#
# Use this makefile with the command
#   make -f  12-race-subtle-example.make
#
#  This make file will create an assembly language listing of the compiled program.
#
CC = gcc
CFLAGS =  -std=c99 -g -Wall -Wextra -fverbose-asm -Wa,-a,-adhlns=$@.asm
RM = rm -fv

PROGRAM = 12-race-subtle-example

all: $(PROGRAM)

$(PROGRAM): $(PROGRAM).c
	$(CC)  -fPIC  $(CFLAGS) -o $@  $<  -lpthread -lm

# delete only the files that we made
clean:
	${RM} $(PROGRAM).asm $(PROGRAM)
